com.dlsc.flexgantt.command.layer

## Class DefaultDeleteMultipleRelationshipsCommand

- java.lang.Object
- - com.dlsc.flexgantt.command.AbstractCommand
  - - com.dlsc.flexgantt.command.AbstractCompoundCommand<DefaultDeleteRelationshipCommand>
    - - com.dlsc.flexgantt.command.layer.DefaultDeleteMultipleRelationshipsCommand

- All Implemented Interfaces:
    ICommand, Serializable

      public class DefaultDeleteMultipleRelationshipsCommand
      extends AbstractCompoundCommand<DefaultDeleteRelationshipCommand>

  A comment to delete several relationships at the same time.
  Since:
    2.0
  Author:
    Dirk Lemmermann
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultDeleteMultipleRelationshipsCommand(Collection<IRelationship> relationships, DefaultGanttChartModel model)` Deletes several relationships at the same time.

  - ### Method Summary

    - ### Methods inherited from class com.dlsc.flexgantt.command.AbstractCompoundCommand

      `addCommand, executeCommand, getCommand, getCommandCount, isRedoable, isUndoable, redoCommand, removeCommand, setCommands, undoCommand`

    - ### Methods inherited from class com.dlsc.flexgantt.command.AbstractCommand

      `getName, isRelevant, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultDeleteMultipleRelationshipsCommand

          public DefaultDeleteMultipleRelationshipsCommand(Collection<IRelationship> relationships,
                                                           DefaultGanttChartModel model)

      Deletes several relationships at the same time.
      Parameters:
        `relationships` - the relationships to delete
        `model` - the model to which the relationships belong
      Since:
        2.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.